1. Taobao Order Manage
  • API Signature & Authentication Specification
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • Taobao Logistics
      • API for China Domestic Shipping Cost
    • Taobao Order Manage
      • Product Bunker interface
        GET
      • API for Creating Preview Order
        POST
      • API for Creating Formal Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • API for Auto Payment of Order
        POST
    • Taobao Message Service
      • Callback Message Signature Verification Specification
      • Order Status Update Message
      • Order Price Change Message
  1. Taobao Order Manage

API for Creating Formal Order

POST
/taobao/purchase/order/create
Create order interface, through which Taobao orders can be automatically generated. Before calling the create order interface, please call the credential stuffing interface (use mpId for itemId and mpSkuid for skuId).

Request

Body Params application/json

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/taobao/purchase/order/create' \
--header 'Content-Type: application/json' \
--data '{
    "appKey": "",
    "appSecret": "",
    "thirdOrderId":"A000001",
    "purchase_amount": 1,
    "seller_order_number": "",
    "order_source": "lazada",
    "order_line_list": "[{\"itemId\":4096158991847928,\"orderLineNo\":\"1\",\"quantity\":\"1\",\"price\":100,\"currency\":\"CNY\",\"title\":\"\u6D4B\u8BD5\u5546\u54C11 \",\"skuId\":27167887472120}]",
    "receiver": {
        "country": "中国",
        "state": "浙江省",
        "city": "杭州市",
        "district": "滨江区",
        "address": "网商路699号",
        "zip": "000000",
        "name": "张三",
        "phone": "1234567890",
        "mobile_phone": "1234567890"
    },
    "warehouse_address_info":{
        "country": "中国",
        "state": "浙江省",
        "city": "杭州市",
        "district": "滨江区",
        "address": "网商路699号",
        "zip": "000000",
        "name": "张三",
        "phone": "1234567890",
        "mobile_phone": "1234567890"
    },
    "channel_order_type": "PANAMA",
    "support_partial_success": false,
    "order_remark": "",
    "need_supply_chain_service": false,
    "need_sys_retry": false
}'
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "success": true,
        "errorMessage": null,
        "errorCode": null,
        "orderList": [
            {
                "orderLineList": [
                    {
                        "itemId": "4096158991847928",
                        "orderLineNo": null,
                        "quantity": 1,
                        "supplierNick": null,
                        "estimateAmount": 1230,
                        "subPurchaseOrderId": 200130683607,
                        "estimateCurrency": "CNY",
                        "skuId": 27167887464952
                    }
                ],
                "purchaseId": "200130683606",
                "supplierNick": null,
                "estimateAmount": 1230,
                "sourceMarket": "淘宝精选",
                "estimateCurrency": "CNY"
            }
        ],
        "paymentUrl": "https://distributor.taobao.global/apps/order/list",
        "outerPurchaseId": "A000001"
    },
    "timestamp": 1785405922618,
    "traceId": "84dacbb2fe04",
    "cost": 0
}
Previous
API for Creating Preview Order
Next
API for Canceling Formal Order
Built with